FormAuthenticator (Tomcat API Documentation)
Keywords: org.apache.catalina.authenticator.FormAuthenticator class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.authenticator
Class FormAuthenticator

    java.lang.Object
      org.apache.catalina.valves.ValveBase
          org.apache.catalina.authenticator.AuthenticatorBase
              org.apache.catalina.authenticator.FormAuthenticator

All Implemented Interfaces:
  javax.management.MBeanRegistration, Authenticator, Contained, Lifecycle, Valve

    public class FormAuthenticator

extends AuthenticatorBase

An Authenticator and Valve implementation of FORM BASED Authentication, as described in the Servlet API Specification, Version 2.2.

Version:
  $Revision: 721916 $ $Date: 2008-11-30 23:43:01 +0100 (Sun, 30 Nov 2008) $
Author:
  Craig R. McClanahan, Remy Maucherat

Field Summary
`protected java.lang.String` | `characterEncoding` Character encoding to use to read the username and password parameters from the request.
`protected static java.lang.String` | `info` Descriptive information about this implementation.

Fields inherited from class org.apache.catalina.authenticator.AuthenticatorBase
`algorithm, cache, context, DEFAULT_ALGORITHM, digest, disableProxyCaching, entropy, lifecycle, random, randomClass, securePagesWithPragma, SESSION_ID_BYTES, sm, sso, started`

Fields inherited from class org.apache.catalina.valves.ValveBase
`container, containerLog, controller, domain, mserver, next, oname`

Fields inherited from interface org.apache.catalina.Lifecycle
`AFTER_START_EVENT, AFTER_STOP_EVENT, BEFORE_START_EVENT, BEFORE_STOP_EVENT, DESTROY_EVENT, INIT_EVENT, PERIODIC_EVENT, START_EVENT, STOP_EVENT`

Constructor Summary
`FormAuthenticator()`

Method Summary
`boolean` | `authenticate(Request request, Response response, LoginConfig config)` Authenticate the user making this request, based on the specified login configuration.
`protected void` | `forwardToErrorPage(Request request, Response response, LoginConfig config)` Called to forward to the error page
`protected void` | `forwardToLoginPage(Request request, Response response, LoginConfig config)` Called to forward to the login page
`java.lang.String` | `getCharacterEncoding()` Return the character encoding to use to read the username and password.
`java.lang.String` | `getInfo()` Return descriptive information about this Valve implementation.
`protected boolean` | `matchRequest(Request request)` Does this request match the saved one (so that it must be the redirect we signalled after successful authentication?
`protected boolean` | `restoreRequest(Request request, Session session)` Restore the original request from information stored in our session.
`protected java.lang.String` | `savedRequestURL(Session session)` Return the request URI (with the corresponding query string, if any) from the saved request so that we can redirect to it.
`protected void` | `saveRequest(Request request, Session session)` Save the original request information into our session.
`void` | `setCharacterEncoding(java.lang.String encoding)` Set the character encoding to be used to read the username and password.

Methods inherited from class org.apache.catalina.authenticator.AuthenticatorBase
`addLifecycleListener, associate, findLifecycleListeners, generateSessionId, getAlgorithm, getCache, getContainer, getDigest, getDisableProxyCaching, getEntropy, getRandom, getRandomClass, getSecurePagesWithPragma, invoke, reauthenticateFromSSO, register, removeLifecycleListener, setAlgorithm, setCache, setContainer, setDisableProxyCaching, setEntropy, setRandomClass, setSecurePagesWithPragma, start, stop`

Methods inherited from class org.apache.catalina.valves.ValveBase
`backgroundProcess, createObjectName, event, getContainerName, getController, getDomain, getNext, getObjectName, getParentName, postDeregister, postRegister, preDeregister, preRegister, setController, setNext, setObjectName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### info

    protected static final java.lang.String info

  Descriptive information about this implementation.

  See Also:
    Constant Field Values

### characterEncoding

    protected java.lang.String characterEncoding

  Character encoding to use to read the username and password parameters from the request. If not set, the encoding of the request body will be used.

Constructor Detail

### FormAuthenticator

    public FormAuthenticator()

Method Detail

### getInfo

    public java.lang.String getInfo()

  Return descriptive information about this Valve implementation.

  Specified by:
    `getInfo` in interface `Valve`
  Overrides:
    `getInfo` in class `AuthenticatorBase`

### getCharacterEncoding

    public java.lang.String getCharacterEncoding()

  Return the character encoding to use to read the username and password.

### setCharacterEncoding

    public void setCharacterEncoding(java.lang.String encoding)

  Set the character encoding to be used to read the username and password.

### authenticate

    public boolean authenticate(Request request,
                                Response response,
                                LoginConfig config)
                         throws java.io.IOException

  Authenticate the user making this request, based on the specified login configuration. Return `true` if any specified constraint has been satisfied, or `false` if we have created a response challenge already.

  Specified by:
    `authenticate` in class `AuthenticatorBase`
  Parameters:
    `request` - Request we are processing
    `response` - Response we are creating
    `config` - Login configuration describing how authentication should be performed
  Throws:
    `java.io.IOException` - if an input/output error occurs

### forwardToLoginPage

    protected void forwardToLoginPage(Request request,
                                      Response response,
                                      LoginConfig config)

  Called to forward to the login page

  Parameters:
    `request` - Request we are processing
    `response` - Response we are creating
    `config` - Login configuration describing how authentication should be performed

### forwardToErrorPage

    protected void forwardToErrorPage(Request request,
                                      Response response,
                                      LoginConfig config)

  Called to forward to the error page

  Parameters:
    `request` - Request we are processing
    `response` - Response we are creating
    `config` - Login configuration describing how authentication should be performed

### matchRequest

    protected boolean matchRequest(Request request)

  Does this request match the saved one (so that it must be the redirect we signalled after successful authentication?

  Parameters:
    `request` - The request to be verified

### restoreRequest

    protected boolean restoreRequest(Request request,
                                     Session session)
                              throws java.io.IOException

  Restore the original request from information stored in our session. If the original request is no longer present (because the session timed out), return `false`; otherwise, return `true`.

  Parameters:
    `request` - The request to be restored
    `session` - The session containing the saved information
  Throws:
    `java.io.IOException`

### saveRequest

    protected void saveRequest(Request request,
                               Session session)
                        throws java.io.IOException

  Save the original request information into our session.

  Parameters:
    `request` - The request to be saved
    `session` - The session to contain the saved information
  Throws:
    `java.io.IOException`

### savedRequestURL

    protected java.lang.String savedRequestURL(Session session)

  Return the request URI (with the corresponding query string, if any) from the saved request so that we can redirect to it.

  Parameters:
    `session` - Our current session

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.